<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:lido="http://www.lido-schema.org" xmlns:xs="http://www.w3.org/2001/XMLSchema" exclude-result-prefixes="xs" version="2.0">
    <xsl:template name="lidokmg" match="/">
        <html>
            <head>
                <link href="~assets/v2/css/styles.css" rel="stylesheet"/>
                <link href="~assets/fonts/Open-Sans/open-sans.css" rel="stylesheet" type="text/css"/>
                <link rel="stylesheet" href="http://localhost:8080/exist/apps/sade/templates/css/kmg-lido.css"/>
            </head>
            <body>
                <table>
                    <caption>Informationen zum Werk</caption>
                    <xsl:for-each select="//lido:titleSet">
                        <tr class="lido-title">
                            <td class="sp1">Titel</td>
                            <td class="sp2">
                                <xsl:value-of select="./lido:appellationValue"/>
                            </td>
                        </tr>
                    </xsl:for-each>
                    <xsl:for-each select="//lido:eventActor">
                        <tr class="lido-artist">
                            <td class="sp1">KünstlerIn</td>
                            <td class="sp2">
                                <a>
                                    <xsl:attribute name="href">
                                        <xsl:value-of select="./lido:actorInRole/lido:actor/lido:actorID[1]"/>
                                    </xsl:attribute>
                                    <xsl:value-of select="./lido:displayActorInRole"/>
                                </a>
                            </td>
                        </tr>
                    </xsl:for-each>
                    <xsl:for-each select="//lido:eventDate">
                        <tr class="lido-year">
                            <td class="sp1">Entstehungsjahr</td>
                            <td class="sp2">
                                <xsl:value-of select="./lido:displayDate"/>
                            </td>
                        </tr>
                    </xsl:for-each>
                    <xsl:for-each select="//lido:eventPlace">
                        <tr class="lido-place">
                            <td class="sp1">Entstehungsort</td>
                            <td class="sp2">
                                <a>
                                    <xsl:attribute name="href">
                                        <xsl:value-of select="./lido:place/lido:placeID"/>
                                    </xsl:attribute>
                                    <xsl:value-of select="./lido:displayPlace"/>
                                </a>
                            </td>
                        </tr>
                    </xsl:for-each>
                    <xsl:for-each select="//lido:objectMeasurementsSet">
                        <tr class="lido-measurement">
                            <td class="sp1">Maße</td>
                            <td class="sp2">
                                <xsl:value-of select="./lido:displayObjectMeasurements"/>
                            </td>
                        </tr>
                    </xsl:for-each>
                    <xsl:for-each select="//lido:eventMaterialsTech">
                        <tr class="lido-materials">
                            <td class="sp1">Technik/Material</td>
                            <td class="sp2">
                                <xsl:value-of select="./lido:displayMaterialsTech"/>
                            </td>
                        </tr>
                    </xsl:for-each>
                    <xsl:choose>
                        <xsl:when test="//lido:repositoryName/lido:legalBodyWeblink">
                            <xsl:for-each select="//lido:repositoryName">
                                <tr class="lido-repository">
                                    <td class="sp1">Aufbewahrungsort</td>
                                    <td class="sp2">
                                        <a>
                                            <xsl:attribute name="href">
                                                <xsl:value-of select="./lido:legalBodyWeblink"/>
                                            </xsl:attribute>
                                            <xsl:value-of select="./lido:legalBodyName/lido:appellationValue"/>
                                        </a>
                                    </td>
                                </tr>
                            </xsl:for-each>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:for-each select="//lido:repositoryName">
                                <tr class="lido-repository">
                                    <td class="sp1">Aufbewahrungsort</td>
                                    <td class="sp2">
                                        <xsl:value-of select="./lido:legalBodyName/lido:appellationValue"/>
                                    </td>
                                </tr>
                            </xsl:for-each>
                        </xsl:otherwise>
                    </xsl:choose>                    
                    <xsl:for-each select="//lido:workID">
                        <tr class="lido-ID">
                            <td class="sp1">Inventarnummer</td>
                            <td class="sp2">
                                <xsl:value-of select="."/>
                            </td>
                        </tr>
                    </xsl:for-each>
                    <xsl:choose>
                        <xsl:when test="count(//lido:objectID)&gt;1">
                            <tr class="lido-content">
                                <td class="sp1">Digitalisate</td>
                                <td class="sp2">
                                    <xsl:for-each select="//lido:objectID">
                                        <a>
                                            <xsl:attribute name="href">
                                                <xsl:value-of select="."/>
                                            </xsl:attribute>
                                            <xsl:value-of select="."/>
                                        </a>
                                        <br/>
                                    </xsl:for-each>
                                </td>
                            </tr>
                        </xsl:when>
                        <xsl:otherwise>
                            <tr class="lido-content">
                                <td class="sp1">Digitalisat</td>
                                <td class="sp2">
                                    <xsl:for-each select="//lido:objectID">
                                        <a>
                                            <xsl:attribute name="href">
                                                <xsl:value-of select="."/>
                                            </xsl:attribute>
                                            <xsl:value-of select="."/>
                                        </a>
                                        <br/>
                                    </xsl:for-each>
                                </td>
                            </tr>
                        </xsl:otherwise>
                    </xsl:choose>
                    <xsl:choose>
                        <xsl:when test="count(//lido:objectWebResource)&gt;1">
                            <tr class="lido-content">
                                <td class="sp1">Inhaltsangaben</td>
                                <td class="sp2">
                                    <xsl:for-each select="//lido:objectWebResource">
                                        <a>
                                            <xsl:attribute name="href">
                                                <xsl:value-of select="."/>
                                            </xsl:attribute>
                                            <xsl:value-of select="."/>
                                        </a>
                                        <br/>
                                    </xsl:for-each>
                                </td>
                            </tr>
                        </xsl:when>
                        <xsl:otherwise>
                            <tr class="lido-content">
                                <td class="sp1">Inhaltsangabe</td>
                                <td class="sp2">
                                    <xsl:for-each select="//lido:objectWebResource">
                                        <a>
                                            <xsl:attribute name="href">
                                                <xsl:value-of select="."/>
                                            </xsl:attribute>
                                            <xsl:value-of select="."/>
                                        </a>
                                        <br/>
                                    </xsl:for-each>
                                </td>
                            </tr>
                        </xsl:otherwise>
                    </xsl:choose>
                    <tr class="lido-desc">
                        <xsl:for-each select="//lido:objectDescriptionSet">
                            <td class="sp1">Eigene Beschreibung</td>
                            <td class="sp2">
                                <xsl:value-of select="./lido:descriptiveNoteValue"/>
                            </td>
                        </xsl:for-each>
                    </tr>
                </table>
            </body>
        </html>
    </xsl:template>
</xsl:stylesheet>